Package ru.bitel.bgbilling.kernel.apps.server.bean

# Class AppsManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.kernel.apps.server.bean.AppsManager

All Implemented Interfaces:
  `AutoCloseable`

public class AppsManager extends ru.bitel.common.dao.AbstarctDaoConstant implements AutoCloseable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Connection`
  `con`
  `protected final int`
  `userId`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AppsManager(Connection con, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `doModuleAction(String module, int moduleId, String action, int contractId, jakarta.servlet.http.HttpServletRequest request, Map<String,Object> dataMap, Map<String,String> requestParamsMap)`
  `void`
  `doPluginAction(String pluginId, String action, int contractId, jakarta.servlet.http.HttpServletRequest request, Map<String,Object> dataMap, Map<String,String> requestParamsMap)`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### con

    protected final Connection con

  - ### userId

    protected final int userId

- ## Constructor Details

  - ### AppsManager

    public AppsManager(Connection con, int userId)

- ## Method Details

  - ### doModuleAction

    public void doModuleAction(String module, int moduleId, String action, int contractId, jakarta.servlet.http.HttpServletRequest request, Map<String,Object> dataMap, Map<String,String> requestParamsMap) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doPluginAction

    public void doPluginAction(String pluginId, String action, int contractId, jakarta.servlet.http.HttpServletRequest request, Map<String,Object> dataMap, Map<String,String> requestParamsMap) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### close

    public void close() throws Exception
    Specified by:
      `close` in interface `AutoCloseable`
    Throws:
      `Exception`